curl --location --request GET 'https://api.stateset.com/api/v1/orders/1' \
--header 'Authorization: Bearer <token>'
{
"id": "string",
"name": "string",
"number": "string",
"source": "string",
"state": "string",
"customerID": "string",
"items": [],
"totalAmount": "string",
"paymentStatus": "string",
"shippingStatus": "string",
"createdAt": "string",
"updatedAt": "string",
"metadata": {}
}
Get Order
This endpoint gets an order.
GET
/
api
/
v1
/
orders
/
{id}
curl --location --request GET 'https://api.stateset.com/api/v1/orders/1' \
--header 'Authorization: Bearer <token>'
{
"id": "string",
"name": "string",
"number": "string",
"source": "string",
"state": "string",
"customerID": "string",
"items": [],
"totalAmount": "string",
"paymentStatus": "string",
"shippingStatus": "string",
"createdAt": "string",
"updatedAt": "string",
"metadata": {}
}
Path parameters
string
This is the id of the order.
Response
string
required
This is the id of the order.
string
required
This is the name of the order.
string
required
This is the number of the order.
string
required
This is the source of the order.
string
required
This is the state of the order.
string
required
This is the customerID of the order.
array
required
This is the list of items in the order.
string
required
This is the total amount of the order.
string
required
This is the payment status of the order.
string
required
This is the shipping status of the order.
string
required
This is the creation timestamp of the order.
string
required
This is the last updated timestamp of the order.
object
required
This is additional metadata related to the order.
Errors
Succeeds with200. Failures return 400, 401, 403, 404 or 429 with an error body, per the platform status-code contract.
curl --location --request GET 'https://api.stateset.com/api/v1/orders/1' \
--header 'Authorization: Bearer <token>'
Orders
Orders describes the general data about the orders in StateSet Commerce Network.The order object
Attributes
| Name | Type | Description |
|---|---|---|
| id | Text | Unique identifier for the order |
| name | Text | Name of the order |
| number | Text | Number of the order |
| state | Text | State of the order |
| customerID | Text | Customer ID of the order |
| items | Array | List of items in the order |
| totalAmount | Text | Total amount of the order |
| paymentStatus | Text | Payment status of the order |
| shippingStatus | Text | Shipping status of the order |
| createdAt | DateTime | Creation timestamp of the order |
| updatedAt | DateTime | Last updated timestamp of the order |
| metadata | Object | Additional metadata related to the order |
{
"id": "string",
"name": "string",
"number": "string",
"source": "string",
"state": "string",
"customerID": "string",
"items": [],
"totalAmount": "string",
"paymentStatus": "string",
"shippingStatus": "string",
"createdAt": "string",
"updatedAt": "string",
"metadata": {}
}
Last modified on August 29, 2026